<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_a11bd5fe4a6175754726" . "d934efa5c55d" => base64_decode("U3Rhc" . "nQgYX" . "Q6IA=" . "="), "_c06c961f" . "393742ecf" . "d52b72263" . "ac9470" => base64_decode("aW50" . "dmFs"));





class BackupRunnerFull extends BackupRunnerAbstract
{
    protected $type = 'full';
    
    
    
    
    
    
    
    protected function IsAlwaysExported(DOMElement $_5c59c380aa5c5e5f18f039ad7757fe97)
    {
        return false;
    }
    
    
    
    
    
    
    protected function SaveWithoutExport(DOMElement $_5c59c380aa5c5e5f18f039ad7757fe97, DOMElement $_20ddb008f3841f2ea5794896a5d32362)
    {
    }
    
    
    
    
    
    protected function BackupStartUp()
    {
        $this->bk->log->AddEntry($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_a11bd5fe4a6175754726d934efa5" . "c55d"] . $this->now->getDate(DATE_FORMAT_CLA_DATETIME));
        $this->bk->next_full->addDays($this->bk->full_period);
        $this->bk->status = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_c06c961f393742ecfd52b" . "72263ac9470"](!$this->bk->eh->IsError());
        $this->bk->Update();
    }
}